<?php
/**
 * Created by PhpStorm.
 * User: leonardocarvalho
 * Date: 26/01/2016
 * Time: 14:21
 */

namespace HCM\Geral\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;

class BirtReportController extends \Zeedhi\Framework\Controller\Report {

    public function __construct(ReportService $reportService){
        parent::__construct($reportService);
    }

    /** @var array  */
    protected $reportMapping = array (
        'curriculo_candidato' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'NRORG'            => 'P_NRORG',
                        'NMOPERADOR'       => 'P_NMOPERADOR',
                        'NRPARCNEGOCIO'    => 'P_NRPARCNEGOCIO',
                        'COMPETENCIA'      => 'P_COMPETENCIA',
                        'PATH_FOTO'        => 'PATH_FOTO'
                    ),
            ),
        'demonstrativo_pagamento_via_unica' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'NRTPMODALIDCAL'   => 'P_NRTPMODALIDCAL',
                        'NRTIPOMOVIMENT'   => 'P_NRTIPOMOVIMENT',
                        'COMPETENCIA'      => 'P_COMPETENCIA',
                        'NRORG'            => 'P_NRORG',
                        'OCORRECAL'        => 'P_OCORRECAL',
                        'NRVINCULOM'       => 'P_NRVINCULO',
                        'DSOBSERVACOES'    => 'P_OBSERVACAO'
                    ),
            ),
        'avaliacao_psicologica' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'P_NRORG'             => 'P_NRORG',
                        'P_NRORG_PADRAO'      => 'P_NRORG_PADRAO',
                        'P_COMPETENCIA'       => 'P_COMPETENCIA',
                        'P_NRPARCNEGOCIOCAND' => 'P_NRPARCNEGOCIOCAND'
                    ),
            )
    );

}