-- ============================================================
-- Database name: FOLHA
-- Created on: 02/04/2020 
-- ============================================================
-- ============================================================
-- TABLE: LANCAMENTOSVINC_TMP
-- ============================================================
TRUNCATE TABLE LANCAMENTOSVINC_TMP;
DROP TABLE LANCAMENTOSVINC_TMP;

CREATE GLOBAL TEMPORARY TABLE LANCAMENTOSVINC_TMP
 (NRORG             NUMBER,
  NRVINCULOM        NUMBER,
  NRPESSOA          NUMBER,
  DTADMISSAOVINC    DATE,
  DTRESCISAOVINC    DATE,
  NRTIPOVINCULOM    NUMBER,
  NRVINCULOEMPREG   NUMBER,
  NMVINCULOM        VARCHAR(100),
  DTMESCOMPETENC    DATE,
  NRESTRUTLEGAL     NUMBER,
  NRESTRUTGEREN     NUMBER,
  NRESTRUTSIND      NUMBER,
  NRCALCULOFOLHA    NUMBER,
  NRTIPOMOVIMENT    NUMBER,
  NRTPMODALIDCAL    NUMBER,
  NROCORRECAL       NUMBER,
  DTOCORRENCIACALC  DATE,
  NRITEMCALCFOLHA   NUMBER,
  NREVENTOM         NUMBER,
  VRREFFOLHA        FLOAT,
  VREVENTOFOLHA     FLOAT,
  IDREFEVALORCALC   VARCHAR2(50),
  DTOCORRENCIA      DATE) ON COMMIT PRESERVE ROWS
/